diff --git a/extras/package/snap/snapcraft.yaml b/extras/package/snap/snapcraft.yaml
index 847a396..b225fb8 100644
--- a/extras/package/snap/snapcraft.yaml
+++ b/extras/package/snap/snapcraft.yaml
@@ -13,8 +13,9 @@ confinement: strict
 apps:
   vlc:
     desktop: usr/share/applications/vlc.desktop
-    command: desktop-launch $SNAP/bin/vlc-snap-wrapper.sh
+    command: kf5-launch $SNAP/bin/vlc-snap-wrapper.sh
     plugs:
+      - kde-frameworks-5-plug
       - unity7
       - network
       - network-bind
@@ -32,9 +33,20 @@ apps:
     slots:
       - mpris

+plugs:
+  kde-frameworks-5-plug:
+    interface: content
+    content: kde-frameworks-5-all
+    default-provider: kde-frameworks-5
+    target: kf5
+
 parts:
+  kde-frameworks-5-env:
+    plugin: dump
+    snap: [kf5-launch, kf5]
+    source: http://github.com/apachelogger/kf5-snap-env.git
   vlc:
-    after: [desktop-qt5]
+    after: [kde-frameworks-5-env]
     source: ../../../
     source-type: git
     plugin: autotools
@@ -184,6 +196,7 @@ parts:
       - bison
       - flex
       - zsh
+      - qt5-default
     stage-packages:
       - fonts-freefont-ttf
       - dbus-x11
